﻿#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;

namespace HeuristicLab.DataImporter.DbExplorer.Interfaces {
  [StorableClass]
  public class DbColumn {
    [StorableConstructor]
    protected DbColumn(bool deserializing) : base() { }

    public DbColumn(string columnName, string sqlDataType) {
      this.columnName = columnName;
      this.sqlDataType = sqlDataType;
    }

    [Storable]
    private string columnName;
    public string ColumnName {
      get { return this.columnName; }
      set { this.columnName = value; }
    }

    [Storable]
    private string sqlDataType;
    public string SqlDataType {
      get { return this.sqlDataType; }
      set { this.sqlDataType = value; }
    }

    [Storable]
    private string minValue;
    public string MinValue {
      get { return this.minValue; }
      set { this.minValue = value; }
    }

    [Storable]
    private string maxValue;
    public string MaxValue {
      get { return this.maxValue; }
      set { this.maxValue = value; }
    }

    [Storable]
    private string likeValue;
    public string LikeValue {
      get { return this.likeValue; }
      set { this.likeValue = value; }
    }

    [Storable]
    private bool filter;
    public bool FilterColumn {
      get { return this.filter; }
      set { this.filter = value; }
    }

    [Storable]
    private bool selected;
    public bool Selected {
      get { return selected; }
      set { selected = value; }
    }

    public override string ToString() {
      return this.columnName + "<" + this.sqlDataType + ">";
    }
  }
}
